org.deidentifier.arx.gui.view.impl

## Class MainMenuSeparator

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.MainMenuItem
  - - org.deidentifier.arx.gui.view.impl.MainMenuSeparator

    public class MainMenuSeparator
    extends MainMenuItem

This abstract class implements a menu separator

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`MainMenuSeparator()` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `action(Controller controller)` Override this to perform the action
`boolean` `isEnabled(Model model)` Override this to return whether the item is enabled

### Methods inherited from class org.deidentifier.arx.gui.view.impl.MainMenuItem

`getImage, getLabel, isButton`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainMenuSeparator

    public MainMenuSeparator()

Creates a new instance

Parameters:
  `label` -
  `items` -

### Method Detail

#### action

    public void action(Controller controller)

Description copied from class: `MainMenuItem`
Override this to perform the action

Specified by:
  `action` in class `MainMenuItem`

#### isEnabled

    public boolean isEnabled(Model model)

Description copied from class: `MainMenuItem`
Override this to return whether the item is enabled

Specified by:
  `isEnabled` in class `MainMenuItem`
Returns: